<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <title><g:message code="auth.change.password" default="Change Password" /></title>
    </head>
    <body>
        <div class="body">
            <h1><g:message code="auth.change.password" default="Change Password" /></h1>
            <g:if test="${flash.message}">
            <div class="message"><g:message code="${flash.message}" args="${flash.args}" default="${flash.defaultMessage}" /></div>
            </g:if>
            <g:hasErrors bean="${changePasswordCommand}">
            <div class="errors">
                <g:renderErrors bean="${changePasswordCommand}" as="list" />
            </div>
            </g:hasErrors>
            <g:form action="updatePassword" method="post">
                <div class="dialog">
                    <table>
                        <tbody>
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="oldPassword"><g:message code="auth.change.password.oldPassword" default="Old Password" />: <span class="required">*</span></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: changePasswordCommand, field: 'oldPassword', 'errors')}">
                                    <g:passwordField style="width: 150px;" name="oldPassword" />
                                </td>
                            </tr>
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="newPassword"><g:message code="auth.change.password.newPassword" default="New Password" />: <span class="required">*</span></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: changePasswordCommand, field: 'newPassword', 'errors')}">
                                    <g:passwordField style="width: 150px;" name="newPassword" />
                                </td>
                            </tr>
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="confirmNewPassword"><g:message code="auth.change.password.confirmNewPassword" default="Confirm New Password" />: <span class="required">*</span></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: changePasswordCommand, field: 'confirmNewPassword', 'errors')}">
                                    <g:passwordField style="width: 150px;" name="confirmNewPassword" />
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:submitButton name="changePassword" value="${message(code: 'auth.change.password', 'default': 'Change Password')}" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
