
<%@ page import="org.grails.samples.sakila.Language" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <title><g:message code="language.edit" default="Edit Language" /> - ${languageInstance.encodeAsHTML()}</title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><g:link class="list" action="list"><g:message code="language.list" default="Language List" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="language.new" default="New Language" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="language.edit" default="Edit Language" /> - ${languageInstance.encodeAsHTML()}</h1>
            <g:if test="${flash.message}">
            <div class="message"><g:message code="${flash.message}" args="${flash.args}" default="${flash.defaultMessage}" /></div>
            </g:if>
            <g:hasErrors bean="${languageInstance}">
            <div class="errors">
                <g:renderErrors bean="${languageInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form method="post" >
                <g:hiddenField name="id" value="${languageInstance?.id}" />
                <div class="dialog">
                    <table>
                        <tbody>
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="name"><g:message code="language.name" default="Name" />: <span class="required">*</span></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: languageInstance, field: 'name', 'errors')}">
                                    <g:textField style="width: 200px;" name="name" maxlength="20" value="${fieldValue(bean: languageInstance, field: 'name')}" />
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" action="update" value="${message(code: 'update', 'default': 'Update')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'delete', 'default': 'Delete')}" onclick="return confirm('${message(code: 'delete.confirm', 'default': 'Are you sure?')}');" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
